Items
Items count
Returns the total number of items in an index.
GET
/
api
/
v2
/
search_engines
/
{hashid}
/
indices
/
{name}
/
items
/
_count
Items count
curl --request GET \
--url https://{search_zone}-api.doofinder.com/api/v2/search_engines/{hashid}/indices/{name}/items/_count \
--header 'Authorization: <api-key>'import requests
url = "https://{search_zone}-api.doofinder.com/api/v2/search_engines/{hashid}/indices/{name}/items/_count"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{search_zone}-api.doofinder.com/api/v2/search_engines/{hashid}/indices/{name}/items/_count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 100
}{
"error": {
"code": "not_authenticated",
"message": "Authentication required"
}
}{
"error": {
"code": "access_denied",
"message": "Access denied"
}
}{
"error": {
"code": "not_found",
"message": "Not found"
}
}{
"error": {
"code": "too_many_requests",
"message": "Too many requests"
}
}{
"error": {
"code": "internal_error",
"message": "Internal server error"
}
}Authorizations
api_tokenjwt_token
Doofinder API key. Pass it as: Authorization: Token <api_key>
Path Parameters
Unique id of a search engine.
Pattern:
^[a-f0-9]{32}$Name of an index.
Pattern:
^[a-z][a-z0-9_]*$Response
Count succeeded.
total items on indice
Previous
Create temporary indexCreates a new empty temporary index for the same index name. There can
not be two temporary indices at the same time, so any request made to
this endpoint when there is one created will fail. Creating a temporary
index also sets a lock preventing any changes on the search engine until
the temporary index is deleted.
Next
⌘I
Items count
